## org.eclipse.jet.core.parser.ast
Class TextElement

    java.lang.Object
      org.eclipse.jet.core.parser.ast.JETASTElement
          org.eclipse.jet.core.parser.ast.BodyElement
              org.eclipse.jet.core.parser.ast.TextElement

    public final class TextElement

extends BodyElement

Define a Text Element in the JET AST

Since:
  0.8.0

Method Summary
`protected void` `accept0(JETASTVisitor visitor)` Visit the AST and its contained elements.
`org.eclipse.jet.internal.core.parser.LineInfo[]` `getLines()`
`char[]` `getRawText()`
`char[]` `getText()` Return the text content
`boolean` `isTrimFirstLine()`
`boolean` `isTrimLastLine()`
`boolean` `removeLineWhenOtherwiseEmpty()` Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output.
`void` `setTrimFirstLine(boolean trim)`
`void` `setTrimLastLine(boolean trim)`

Methods inherited from class org.eclipse.jet.core.parser.ast.JETASTElement
`accept, getAst, getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### accept0

    protected void accept0(JETASTVisitor visitor)

  Description copied from class: `JETASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept0` in class `JETASTElement`
  See Also:
    `JETASTElement.accept0(JETASTVisitor)`

### getText

    public char[] getText()

  Return the text content

  Returns:
    the text

### getRawText

    public char[] getRawText()

### removeLineWhenOtherwiseEmpty

    public boolean removeLineWhenOtherwiseEmpty()

  Description copied from class: `JETASTElement`
  Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output. In general, elements that create output should return `false`, while element that do should should return `true`.

  Specified by:
    `removeLineWhenOtherwiseEmpty` in class `JETASTElement`
  Returns:
    `true` if the containing line should be removed if otherwise empty.

### setTrimLastLine

    public void setTrimLastLine(boolean trim)

### isTrimLastLine

    public final boolean isTrimLastLine()

  Returns:
    Returns the trimLastLine.

### setTrimFirstLine

    public void setTrimFirstLine(boolean trim)

### isTrimFirstLine

    public final boolean isTrimFirstLine()

  Returns:
    Returns the trimFirstLine.

### getLines

    public final org.eclipse.jet.internal.core.parser.LineInfo[] getLines()

  Returns:
    Returns the lines.

Copyright 2006 IBM Corporation and others. All Rights Reserved.